Chat

Kirjoittaja Aihe: Pro Pilkki 2 hosting with Linux (including Raspberry Pi)  (Luettu 4036 kertaa)

0 jäsentä ja 1 Vieras katselee tätä aihetta.

Janne -Procyon-

  • Global Moderator
  • *****
  • Viestejä: 96
    • Profiili
Pro Pilkki 2 host (v1.3 Linux) is now available for the following Linux distributions:

Debian Wheezy / Jessie:
  - Processor type ARM (Raspberry Pi, Raspbian)
  - Processor type AMD64 (64 bit server)
Ubuntu Zesty / Xenial / Trusty:
  - Processor type AMD64 (64 bit server)

Quick instructions for downloading and setting up the host:

Run the commands in bold in console window.

1) Add Team Procyon GPG public package signing key to the system
wget -O - http://procyon.ddns.net:8080/propilkki_pub.gpg.key| sudo apt-key add -

2) Add Team Procyon apt-package repository to sources list (/etc/apt/sources.list). Select the command from below according to your Linux distribution and release:

Debian Jessie:
echo "deb http://procyon.ddns.net:8080/repos/apt/debian jessie main" | sudo tee -a /etc/apt/sources.list
Debian Wheezy:
echo "deb http://procyon.ddns.net:8080/repos/apt/debian wheezy main" | sudo tee -a /etc/apt/sources.list
Ubuntu Trusty:
echo "deb http://procyon.ddns.net:8080/repos/apt/ubuntu trusty main" | sudo tee -a /etc/apt/sources.list
Ubuntu Xenial:
echo "deb http://procyon.ddns.net:8080/repos/apt/ubuntu xenial main" | sudo tee -a /etc/apt/sources.list
Ubuntu Zesty:
echo "deb http://procyon.ddns.net:8080/repos/apt/ubuntu zesty main" | sudo tee -a /etc/apt/sources.list

From here, the installation goes with the standard apt-get style. Name of the program package is "pp2host"

3) Update available packages list (reads available packages also from Team Procyon apt-package repository)
sudo apt-get update

4) Install Pro Pilkki 2 host (pp2host)
sudo apt-get install pp2host

Installation program asks initial setup for the host (passwords, hello-texts etc.). It also asks if the program is registered to run automatically on boot. It also asks which Linux user is used to run the program service. Default is "pi" in Raspberry (recommended). Please avoid using "root" for security reasons.

The same settings can be later on changed from config-file: /etc/pp2host/pp2host.conf
The config file has a few settings which the installer does not ask (IP port for example, default is 4500).

When the host has started, it can be monitored/controlled with network browser: http://<ip-address-of-server>:4500
admin/host http-page can be accessed with passwords defined during the installation procedure (or configured to pp2host.conf)

Some additional details can be read from the online manual, type: man pp2host
(how to start/stop the host manually, file locations etc.)

Remember to configure your network router to forward the traffic from outside world port 4500 to your server IP-address port 4500.

Later, if there are updates for pp2host it will update along with everything else in the system when running
sudo apt-get update
sudo apt-get upgrade
To only upgrade pp2host, run
sudo apt-get update
sudo apt-get install --only-upgrade pp2host
If there is new version of pp2host available in our repository, your host will shut down, update to new version and restart automatically.

pp2host can be removed from the system permanently:
sudo apt-get purge pp2host
« Viimeksi muokattu: Helmikuu 04, 2018, 15:28:21 kirjoittanut Janne -Procyon- »
- Janne Olkkonen-
 --Team Procyon--


TaaviT

  • Vieras
Vs: Pro Pilkki 2 hosting with Linux (including Raspberry Pi)
« Vastaus #1 : Syyskuu 12, 2018, 14:58:35 »
Hi,

I have done step 1 and 2, but get the error message below on sudo apt-get update. Any idea how to fix this?
I am running Ubuntu server 14.04 x64.


W: Failed to fetch http://procyon.ddns.net:8080/repos/apt/ubuntu/dists/trusty/InRelease  Unable to find expected entry 'main/binary-i386/Packages' in Release file (Wrong sources.list entry or malformed file)

E: Some index files failed to download. They have been ignored, or old ones used instead.


123rus

  • Viestejä: 2
    • Profiili
    • Sähköposti
Vs: Pro Pilkki 2 hosting with Linux (including Raspberry Pi)
« Vastaus #2 : Lokakuu 25, 2018, 12:05:30 »

Пакеты, имеющие неудовлетворённые зависимости:
 pp2host : Зависит: libc6 (>= 2.14) но 2.13-38+deb7u12 будет установлен
           Зависит: libstdc++6 (>= 5.2) но 4.7.2-5 будет установлен
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.
root@cp:~#

Janne -Procyon-

  • Global Moderator
  • *****
  • Viestejä: 96
    • Profiili
Vs: Pro Pilkki 2 hosting with Linux (including Raspberry Pi)
« Vastaus #3 : Lokakuu 25, 2018, 22:32:17 »
It is well possible that pp2host 64bit package for Debian is not working. 64 bit package is created for Ubuntu, but I added it to Debian repository as well, assuming it is compatible, looks like libc-library is not. When it comes time to update pp2host, I'll try to fix also Debian 64 bit package.
- Janne Olkkonen-
 --Team Procyon--



Kirjaudu sisään palveluiden tunnuksilla

 



center>